Loading...
Searching...
No Matches
L4drivers::Register_block_base< MAX_BITS > Struct Template Reference

Abstract register block interface. More...

Inheritance diagram for L4drivers::Register_block_base< MAX_BITS >:
Collaboration diagram for L4drivers::Register_block_base< MAX_BITS >:

## Detailed Description

template<unsigned MAX_BITS = 32>
struct L4drivers::Register_block_base< MAX_BITS >

Abstract register block interface.

Template Parameters

  MAX_BITS | The maximum access width for the registers.

This interfaces is based on virtual do_read_<xx> and do_write_<xx> methods that have to be implemented up to the maximum access width.

Definition at line 72 of file hw_register_block.

The documentation for this struct was generated from the following file:

- pkg/drivers-frst/include/hw_register_block